import { LogLevel } from '@genesislcap/foundation-utils';
import { ErrorStructure } from './types';
/**
 * Retrieves the error details from an ErrorStructure object
 * @public
 * @param details - The ErrorStructure object
 * @returns The title and error details concatenated as a string, or default values ('Error: Something went wrong') if not present
 */
export declare const getErrorDetails: (details: ErrorStructure) => string;
/**
 * Retrieves the log level from an ErrorStructure object
 * @public
 * @param details - The ErrorStructure object
 * @returns The log level or the default value (LogLevel.Error) if not present
 */
export declare const getLoglevel: (details: ErrorStructure) => LogLevel;
/**
 * Get/Create the error container in the DOM
 * @public
 * @param id - The id of the container
 * @param tagName - The tag name to create prefix for the design system provider
 * @returns
 */
export declare const getErrorContainer: (id: string, tagName: String) => HTMLElement;
/**
 * Get the error banner anchor to attach the banner to
 * @public
 * @param element - The element to start searching from
 * @returns
 */
export declare const getErrorBannerAnchor: (element: any) => HTMLElement | null;
//# sourceMappingURL=error-util.d.ts.map