import { getErrorBannerAnchor } from '../error-util';
/**
 * Shows the error dialog
 * @public
 * @param error - The ErrorStructure object
 * @param tagName - The tag name to create prefix for the design system provider & error component
 * @returns
 * */
export const showBanner = (error, tagName, errorBoundary) => {
    var _a;
    const tagPrefix = tagName.split('-')[0];
    const banner = document.createElement(`${tagPrefix}-error-banner`);
    const container = getErrorBannerAnchor(errorBoundary);
    if (((_a = container === null || container === void 0 ? void 0 : container.children) === null || _a === void 0 ? void 0 : _a.length) > 0) {
        banner.style.position = 'absolute';
        banner.style.top = '0';
        banner.style.left = '0';
        banner.style.width = '100%';
    }
    container.appendChild(banner);
    banner.error = error;
};
